Name:		luminance-hdr
Version:	2.4.0
Release:	%mkrel 12
Summary:	A graphical tool for creating and tone-mapping HDR images
Group:		Graphics/Editors and Converters
License:	GPLv2+
URL:		http://qtpfsgui.sourceforge.net/
Source0:	http://downloads.sourceforge.net/qtpfsgui/%{name}-%{version}.tar.bz2
Patch0:		luminance-hdr-2.4.0-qt5_printsupport.patch
#Originally from Gentoo:
Patch1:		luminance-hdr-2.4.0-qtquick.patch
# fix build on non-x86 arches
Patch2:		luminance-hdr-2.4.0-non-x86.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	git-core
BuildRequires:	libgomp-devel
BuildRequires:	imagemagick
# for lrelease
BuildRequires:	qttools5
BuildRequires:	pkgconfig(CCfits)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libraw_r)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(OpenEXR)
Provides:	qtpfsgui
Requires:	qt5-database-plugin-sqlite
Recommends:	hugin

%description
Luminance is a graphical program for assembling bracketed photos into High
Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.

%prep
%setup -q -n %{name}-%{version}%{?pre:-%pre}
%patch0 -p1
%patch1 -p1
%ifnarch %{ix86} x86_64
%patch2 -p1
%endif

# convert to UTF-8
mv Changelog Changelog.old
iconv --from-code=ISO-8859-1 --to-code=UTF-8 --output Changelog Changelog.old

%build
%cmake_qt5 \
	-DBUILD_SHARED_LIBS:BOOL=OFF
%make

%install
%make_install -C build

#icon
install -Dpm644 images/luminance.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

for i in 16 24 64; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
	convert -scale $i images/%{name}.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done

#desktop file
desktop-file-install \
	--remove-key="Encoding" \
	--add-category="Graphics" \
	--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc README Changelog AUTHORS BUGS TODO
%{_datadir}/%{name}
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*


%changelog
* Tue Jun 20 2017 neoclust <neoclust> 2.4.0-12.mga6
+ Revision: 1108010
- Rebuild against new exiv2

* Tue Dec 27 2016 neoclust <neoclust> 2.4.0-11.mga6
+ Revision: 1078385
- Rebuild against new libraw

* Tue Nov 22 2016 eatdirt <eatdirt> 2.4.0-10.mga6
+ Revision: 1068809
- Rebuild for new cfitsio

* Mon Apr 11 2016 daviddavid <daviddavid> 2.4.0-9.mga6
+ Revision: 1000276
- add patch2 from fedora to fix build on non-x86 arches

* Sun Jan 03 2016 luigiwalser <luigiwalser> 2.4.0-8.mga6
+ Revision: 919009
- rebuild for gsl

* Sun Dec 27 2015 wally <wally> 2.4.0-7.mga6
+ Revision: 915811
- rebuild for new libraw
- add patch originally from Gentoo to build with Qt5Quick instead of Qt5Declarative

* Mon Feb 16 2015 luigiwalser <luigiwalser> 2.4.0-6.mga6
+ Revision: 815020
- add patch from debian to fix build with newer qt5

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-5.mga5
+ Revision: 740150
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.0-4.mga5
+ Revision: 682045
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Aug 24 2014 luigiwalser <luigiwalser> 2.4.0-3.mga5
+ Revision: 666997
- rebuild for ilmbase and OpenEXR

* Thu May 01 2014 luigiwalser <luigiwalser> 2.4.0-2.mga5
+ Revision: 619154
- rebuild for ilmbase

* Sat Mar 01 2014 wally <wally> 2.4.0-1.mga5
+ Revision: 598384
- drop old and unneeded obsoletes
- new version 2.4.0
- switch to qt5

* Mon Feb 10 2014 dams <dams> 2.3.1-8.mga5
+ Revision: 589086
- rebuild for new exiv2

* Wed Feb 05 2014 wally <wally> 2.3.1-7.mga5
+ Revision: 583417
- rebuild for new libraw

* Sat Oct 19 2013 umeabot <umeabot> 2.3.1-6.mga4
+ Revision: 534425
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 2.3.1-5.mga4
+ Revision: 477854
- rebuild for new openexr

* Wed Jul 10 2013 fwang <fwang> 2.3.1-4.mga4
+ Revision: 452370
- rebuild for new boost

* Mon Jun 03 2013 fwang <fwang> 2.3.1-3.mga4
+ Revision: 436008
- rebuild for new libpng

* Tue May 28 2013 wally <wally> 2.3.1-2.mga4
+ Revision: 429636
- rebuild for new libraw

* Tue May 28 2013 wally <wally> 2.3.1-1.mga4
+ Revision: 429620
- new version 2.3.1
- drop unneeded patch

* Sat Jan 12 2013 umeabot <umeabot> 2.2.0-4.mga3
+ Revision: 359115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sun Dec 02 2012 fwang <fwang> 2.2.0-3.mga3
+ Revision: 325010
- update rpm group
- update rpm group
- rebuild for new openexr

* Sat Feb 04 2012 wally <wally> 2.2.0-2.mga3
+ Revision: 204436
- add suggests to hugin

* Sat Feb 04 2012 wally <wally> 2.2.0-1.mga2
+ Revision: 204431
- new version 2.2.0
- drop unneeded patches
- rediff desktop file patch
- change to cmake
- clean .spec a bit

* Mon Dec 26 2011 wally <wally> 2.1.0-8.mga2
+ Revision: 187829
- rebuild for new libtiff

* Sun Dec 18 2011 fwang <fwang> 2.1.0-7.mga2
+ Revision: 183664
- br qtwebkit

* Sat Dec 10 2011 eatdirt <eatdirt> 2.1.0-6.mga2
+ Revision: 180398
- Rebuilt for fftw-3.3

* Tue Nov 15 2011 wally <wally> 2.1.0-5.mga2
+ Revision: 168000
- add localizations (mga#3351)
- don't tag help files as docs

* Sun Oct 09 2011 wally <wally> 2.1.0-4.mga2
+ Revision: 153499
- rebuild for new libraw
- add patch from gentoo to fix build with new libraw

* Sun Oct 09 2011 fwang <fwang> 2.1.0-3.mga2
+ Revision: 153429
- rebuild for new exiv2

* Thu Sep 08 2011 wally <wally> 2.1.0-2.mga2
+ Revision: 141114
- add missing requires for qt4-database-plugin-sqlite (mga#2668)
- new version 2.1.0
- rediff desktop file patch

* Tue Jul 05 2011 wally <wally> 2.0.2-2.mga2
+ Revision: 118730
- imported package luminance-hdr

